# Address (iCal4j VCard 0.9.5 API)
Date: 2012-01-29

net.fortuna.ical4j.vcard.property

## Class Address

- java.lang.Object
- - net.fortuna.ical4j.vcard.Property
  - - net.fortuna.ical4j.vcard.property.Address

All Implemented Interfaces:
  Serializable

    public final class Address
    extends Property

ADDRESS property. $Id$ Created on 23/08/2008

Author:
  Ben
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class net.fortuna.ical4j.vcard.Property

`Property.Id`

### Field Summary

Fields
`static PropertyFactory<Address>` `FACTORY`

### Fields inherited from class net.fortuna.ical4j.vcard.Property

`ILLEGAL_PARAMETER_MESSAGE`

### Constructor Summary

Constructors
Constructor and Description
`Address(Group group, List<Parameter> params, String value)` Factory constructor.
`Address(Group group, String poBox, String extended, String street, String locality, String region, String postcode, String country, Type... types)`
`Address(List<Parameter> params, String value)`
`Address(String poBox, String extended, String street, String locality, String region, String postcode, String country, Type... types)`

### Method Summary

Methods
`String` `getCountry()`
`String` `getExtended()`
`String` `getLocality()`
`String` `getPoBox()`
`String` `getPostcode()`
`String` `getRegion()`
`String` `getStreet()`
`String` `getValue()`
`void` `validate()`

### Methods inherited from class net.fortuna.ical4j.vcard.Property

`assertOneOrLess, assertParametersEmpty, assertPidParameter, assertPrefParameter, assertTextParameter, assertTypeParameter, equals, getExtendedParameter, getExtendedParameters, getGroup, getId, getParameter, getParameters, getParameters, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FACTORY

    public static final PropertyFactory<Address> FACTORY

### Constructor Detail

#### Address

    public Address(String poBox,
           String extended,
           String street,
           String locality,
           String region,
           String postcode,
           String country,
           Type... types)

Parameters:
  `poBox` - post office box address component
  `extended` - extended address component
  `street` - street address component
  `locality` - locality address component
  `region` - region address component
  `postcode` - postal code address component
  `country` - country address component
  `types` - optional address types

#### Address

    public Address(Group group,
           String poBox,
           String extended,
           String street,
           String locality,
           String region,
           String postcode,
           String country,
           Type... types)

Parameters:
  `group` - property group
  `poBox` - post office box address component
  `extended` - extended address component
  `street` - street address component
  `locality` - locality address component
  `region` - region address component
  `postcode` - postal code address component
  `country` - country address component
  `types` - optional address types

#### Address

    public Address(List<Parameter> params,
           String value)
            throws ParseException

Parameters:
  `params` - property parameters
  `value` - string representation of an address value
Throws:
  `ParseException`

#### Address

    public Address(Group group,
           List<Parameter> params,
           String value)
            throws ParseException

Factory constructor.

Parameters:
  `group` - property group
  `params` - property parameters
  `value` - string representation of an address value
Throws:
  `ParseException`

### Method Detail

#### getPoBox

    public String getPoBox()

Returns:
  the poBox

#### getExtended

    public String getExtended()

Returns:
  the extended

#### getStreet

    public String getStreet()

Returns:
  the street

#### getLocality

    public String getLocality()

Returns:
  the locality

#### getRegion

    public String getRegion()

Returns:
  the region

#### getPostcode

    public String getPostcode()

Returns:
  the postcode

#### getCountry

    public String getCountry()

Returns:
  the country

#### getValue

    public String getValue()

Specified by:
  `getValue` in class `Property`
Returns:
  a string representaion of the property propertyName

#### validate

    public void validate()
                  throws net.fortuna.ical4j.model.ValidationException

Specified by:
  `validate` in class `Property`
Throws:
  `net.fortuna.ical4j.model.ValidationException` - where the property fails validation rules